! UTF-8 by default
xterm*utf8: 1

! Use a nice truetype font and size by default... 
!xterm*faceName: monospace:pixelsize=14
!xterm*faceName: Liberation Mono:pixelsize=16:antialias=true:autohint=true
XTerm*font: -*-fixed-medium-r-*-*-18-*-*-*-*-*-iso8859-*
!XTerm*font: -*-terminus-medium-*-*-*-18-*-*-*-*-*-iso10646-1
!xterm*font: -xos4-*-*-*-*-*-20-*-*-*-*-*-iso10646-1
!xterm*faceName: DejaVu Sans Mono
!xterm*faceSize: 11
!xterm*faceName: Bitstream Vera Serif Mono
!xterm*faceSize: 12

! Xterm settings
!XTerm*background: #222222
!XTerm*foreground: #cccccc
XTerm*colorMode:  on
XTerm*dynamicColors:  on
XTerm*underLine:  off
XTerm*colorBDMode: on
!XTerm*colorBD: cyan
XTerm*colorULMode: on
!XTerm*colorUL: magenta
XTerm*customization: -color
XTerm*reverseWrap: true

! Every shell is a login shell by default (for inclusion of all necessary environment variables)
xterm*loginshell: true

! I like a LOT of scrollback...
xterm*savelines: 10000

! double-click to select whole URLs :D
xterm*charClass: 33:48,36-47:48,58-59:48,61:48,63-64:48,95:48,126:48

! Disable visual bell
xterm*visualBell:  false

! Set default geometry
Xterm*geometry: 86x26

XTerm*title: XTerm
XTerm*savelines: 5000

! right hand side scrollbar...
xterm*rightScrollBar: true
xterm*ScrollBar: false

! stop output to terminal from jumping down to bottom of scroll again
xterm*scrollTtyOutput: false

! scroll down anytime you press a key
xterm*ScrollKey: true

! disable fullscreen toggle which can conflict with Midnight Commander feature
xterm*fullscreen: never

! To copy between xterm and other programs/documents
xterm*selectToClipboard: true

! Key bindings similar to other terminals copy/paste behavior
!Ctrl Shift <Key>C: copy-selection(CLIPBOARD) \n\
!Ctrl Shift <Key>V: insert-selection(CLIPBOARD)
!Alt Shift <Key>C: copy-selection(CLIPBOARD) \n\
!Alt Shift <Key>V: insert-selection(CLIPBOARD)
!Meta Shift <Key>C: copy-selection(CLIPBOARD) \n\
!Meta Shift <Key>V: insert-selection(CLIPBOARD)

xterm.vt100.translations: #override \n\
    Ctrl Shift <Key>C: copy-selection(CLIPBOARD) \n\
    Ctrl Shift <Key>V: insert-selection(CLIPBOARD)

!XTerm*VT100.Translations: #override \n\
!    Shift Ctrl<Key>V: insert-selection(CLIPBOARD) \n\
!    Shift Ctrl<Key>V: insert-selection(PRIMARY) \n\
!    Shift<Btn1Down>: select-start() \n\
!    Shift<Btn1Motion>: select-extend() \n\
!    Shift<Btn1Up>: select-end(CLIPBOARD)

! Default colors
*foreground: #B0B0B0
*background: #282828
! Black + DarkGrey
*color0: #000000
*color8: #222222
!! DarkRed + Red
*color1: #434343
*color9: #434343
! DarkGreen + Green
*color2: #6B6B6B
*color10: #A5A5A5
!! DarkYellow + Yellow
*color3: #969696
*color11: #E5E5E5
!! DarkBlue + Blue
*color4: #4A4A4A
*color12: #4D4D4D
!! DarkMangenta + Mangenta
*color5: #707070
*color13: #747474
!!DarkCyan + Cyan
*color6: #A9A9A9
*color14: #C4C4C4
!! LightGrey + White
*color7: #FFFFFF
*color15: #DEDEDE

! ---| phrakture |--- {{{
!*foreground: #bbbbbb
!*background: #222222
!! Black + DarkGrey
!*color0: #000000
!*color8: #222222
!! DarkRed + Red
!*color1: #803232
!*color9: #982b2b
!! DarkGreen + Green
!*color2: #5b762f
!*color10: #89b83f
!! DarkYellow + Yellow
!*color3: #aa9943
!*color11: #efef60
!! DarkBlue + Blue
!*color4: #324c80
!*color12: #1E90FF
!*color12: #2b4f98
!! DarkMangenta + Mangenta
!*color5: #706c9a
!*color13: #826ab1
!!DarkCyan + Cyan
!*color6: #92b19e
!*color14: #a1cdcd
!! LightGrey + White
!*color7: #ffffff
!*color15: #dededE
!}}}

!## Shades of gray ##
!*background: #222c2e
!*foreground: #dee2e3
!*cursorColor: #545f65
!# black 
!*color0:      #000000
!*color8:      #666666
!# red
!*color1:      #545f65
!*color9:      #dae3e8
!# green
!*color2:      #6d787c
!*color10:     #99a2a7
!# yellow
!*color3:      #dee2e3
!!*color11:     #9ea8aa
!*color11: #efef60
!# blue
!*color4:      #9ea8aa
!*color12:     #dee2e3
!# magenta
!*color5:      #97a1a3
!*color13:     #c2c7ca
!# cyan
!*color6:      #97a1a3
!*color14:     #c2c7ca
!# white
!*color7:      #dee2e3
!*color15:     #efefef

! DOS-box colours...
!xterm*foreground: rgb:DC/DC/DC
!xterm*background: rgb:00/00/00
!xterm*foreground: rgb:DC/DC/DC
!xterm*background: rgb:2B/2B/2B
!xterm*background: black
!xterm*foreground: lightgray
!xterm*background: #222c2e
!xterm*foreground: #dee2e3
!xterm*foreground: #B0B0B0
!xterm*background: #282828
!xTerm*background: #222222
!xTerm*foreground: #cccccc
!xterm*color0: rgb:00/00/00
!xterm*color1: rgb:a8/00/00
!xterm*color2: rgb:00/a8/00
!xterm*color3: rgb:a8/54/00
!xterm*color4: rgb:00/00/a8
!xterm*color5: rgb:a8/00/a8
!xterm*color6: rgb:00/a8/a8
!xterm*color7: rgb:a8/a8/a8
!xterm*color8: rgb:54/54/54
!xterm*color9: rgb:fc/54/54
!xterm*color10: rgb:54/fc/54
!xterm*color11: rgb:fc/fc/54
!xterm*color12: rgb:54/54/fc
!xterm*color13: rgb:fc/54/fc
!xterm*color14: rgb:54/fc/fc
!xterm*color15: rgb:fc/fc/fc

! ---| xpdf |--- {{{
xpdf*enableFreetype: yes
xpdf*antialias: yes
xpdf*foreground: white
xpdf*background: black
xpdf*urlCommand: links -g %s
xpdf*viKeys: on
!}}}
